## gstreamer0.10-modplug 0.10.13

=== Makefile ===
PACKAGE:=gstreamer0.10-modplug
VERSION:=0.10.13
# SOURCE:=gst-plugins-bad0.10_0.10.13-git209-0maemo16+0m5.tar.gz
SOURCE:=gst-plugins-bad-0.10.13.tar.bz2
URLS:=http://gstreamer.freedesktop.org/src/gst-plugins-bad/

include ../Rules.make

=== debian/changelog ===
gstreamer0.10-modplug (0.10.13) stable; urgency=low

  * Initial separate release, split gstmodplug.so from mod-support
  * Patch with 32-bit and mono support for all bit depths

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 02 Feb 2010 11:46:00 +0200

=== debian/control ===
Source: gstreamer0.10-modplug
Section: libs
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), patchutils, 
 libgstreamer0.10-dev (>= 0.10.23), libgstreamer-plugins-base0.10-dev,
 libmodplug-dev, liboil0.3-dev (>= 0.3.8)
Standards-Version: 3.6.0

Package: gstreamer0.10-modplug
Section: libs
Architecture: any
Conflicts: libgstmodplug0.10
Replaces: libgstmodplug0.10
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2 (>= 0.8.7)
Description: This package adds the gstreamer modplug plugin
 This package adds the gstreamer modplug plugin so tracker music can be played using the gstreamer framework.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# Make sure we get properly optimized
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

# DEB_TAR_SRCDIR:=gst-plugins-bad0.10-0.10.13-git209
DEB_TAR_SRCDIR:=gst-plugins-bad-0.10.13

include /usr/share/cdbs/1/rules/tarball.mk

DEB_CONFIGURE_EXTRA_FLAGS:=--disable-shave --disable-gtk-doc --disable-examples --disable-debug --enable-modplug
DEB_MAKE_INSTALL_TARGET = -C ext/modplug/ install DESTDIR=$(DEB_DESTDIR)
DEB_MAKE_BUILD_TARGET   = -C ext/modplug/ all

# argh, I so hate this crap
#common-configure-impl::
#	cd $(DEB_BUILDDIR) && NOCONFIGURE=true ./autogen.sh && rm Makefile config.status

## gstreamer0.10-modplug 0.10.13-1

=== debian/changelog ===
gstreamer0.10-modplug (0.10.13-1) stable; urgency=low
 
  * Rebuild against libmodplug 0.8.8.2

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 15 Apr 2011 16:00:00 +0300

=== debian/control ===
Source: gstreamer0.10-modplug
Section: libs
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), patchutils, 
 libgstreamer0.10-dev (>= 0.10.23), libgstreamer-plugins-base0.10-dev,
 libmodplug0c2 (>= 0.8.8), libmodplug-dev (>= 0.8.8), liboil0.3-dev (>= 0.3.8)
Standards-Version: 3.6.0

Package: gstreamer0.10-modplug
Section: libs
Architecture: any
Conflicts: libgstmodplug0.10
Replaces: libgstmodplug0.10
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2 (>= 0.8.8)
Description: This package adds the gstreamer modplug plugin
 This package adds the gstreamer modplug plugin so tracker music can be played using the gstreamer framework.

## gstreamer0.10-modplug 0.10.13-2

=== debian/changelog ===
gstreamer0.10-modplug (0.10.13-2) stable; urgency=low
 
  * Try again to require version 0.8.8.2

 -- Kaj-Michael Lang <milang@tal.org>  Sat, 16 Apr 2011 16:28:00 +0300

=== debian/control ===
Source: gstreamer0.10-modplug
Section: libs
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), patchutils, 
 libgstreamer0.10-dev (>= 0.10.23), libgstreamer-plugins-base0.10-dev,
 libmodplug0c2 (>= 0.8.8.2), libmodplug-dev (>= 0.8.8.2), liboil0.3-dev (>= 0.3.8)
Standards-Version: 3.6.0

Package: gstreamer0.10-modplug
Section: libs
Architecture: any
Conflicts: libgstmodplug0.10
Replaces: libgstmodplug0.10
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2 (>= 0.8.8.2)
Description: This package adds the gstreamer modplug plugin
 This package adds the gstreamer modplug plugin so tracker music can be played using the gstreamer framework.
